Delete a webhook endpoint
Removes the endpoint and its delivery history.
DELETE
/webhooks/{id}Path parameters
idstringrequiredResponses
200OK
idstringrequired401401
One of:
object
definedanyrequiredcodeanyrequiredstatusanyrequiredmessagestringrequireddefault: "Authentication required. Pass an organization API key in the `x-api-key` header."
dataanyobject
definedanyrequiredcodestringrequiredstatusnumberrequiredmessagestringrequireddataany404404
One of:
object
definedanyrequiredcodeanyrequiredstatusanyrequiredmessagestringrequireddefault: "No webhook endpoint with that id in this organization."
dataanyobject
definedanyrequiredcodestringrequiredstatusnumberrequiredmessagestringrequireddataany429429
One of:
object
definedanyrequiredcodeanyrequiredstatusanyrequiredmessagestringrequireddefault: "The organization's API request limit for this period has been reached."
dataanyobject
definedanyrequiredcodeanyrequiredstatusanyrequiredmessagestringrequireddefault: "Too many requests. Try again shortly."
dataanyobject
definedanyrequiredcodestringrequiredstatusnumberrequiredmessagestringrequireddataanyRequest
curl -X DELETE "https://stetcms.com/api/v1/webhooks/string"const response = await fetch("https://stetcms.com/api/v1/webhooks/string", {
method: "DELETE"
});Response
{
"id": "string"
}{
"defined": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "Authentication required. Pass an organization API key in the `x-api-key` header.",
"data": "string"
}{
"defined": true,
"code": "NOT_FOUND",
"status": 404,
"message": "No webhook endpoint with that id in this organization.",
"data": "string"
}{
"defined": true,
"code": "QUOTA_EXCEEDED",
"status": 429,
"message": "The organization's API request limit for this period has been reached.",
"data": "string"
}